curl --request GET \
--url https://thirdparty.qonto.com/v2/cards/{id}/data_view \
--header 'Accept-Language: <accept-language>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/cards/{id}/data_view"
headers = {
"Accept-Language": "<accept-language>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Language': '<accept-language>', Authorization: 'Bearer <token>'}
};
fetch('https://thirdparty.qonto.com/v2/cards/{id}/data_view', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"iframe_url": "<string>"
}Retrieve a card iframe url
OAuth scope: card.read
Retrieves the URL to be displayed in an iframe to preview the card, identified by the id path parameter, with its details.
Note that HTML encoding is applied to the URL, replacing &, <, and > with \u0026, \u003c, and \u003e respectively.
We recommend the following size for the iframe:
- Height - 460px
- Width - 504px
This size will ensure an optimum UX within the iframe for both the card view and Stong Customer Authentication experience.
This endpoint is still in beta. Please get in touch with our team if you have any question or feedback: here.
canSeePin=true: Displays a button allowing the cardholder to see the pincanSetPin=true: Displays a button allowing the cardholder to set or update the card’s pin
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Language to be used to display the preview. Languages supported: en, it, es, de, fr, pt
Path Parameters
Unique card identifier
Response
Returns the iframe url of the card idendified by the id path parameter.
Was this page helpful?